<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 501.40</title>
</head>

<body>

</body>

<script>
    function subtask1(a, n) {
        var time = 0;
        for (var i in a) {
            if (a[i] == n || a[i] == n.toUpperCase()) {
                time += 1;
            }
        }
        console.log(`Số lần xuất hiện: ${time}`);
    }

    var v1 = 'DCresource: JavaScript Exercises';
    subtask1(v1, "e");

    function subtask2(a) {
        return console.log(a.trim());
    }
    var v2 = '         dcresource ';
    subtask2(v2);

    function subtask3(a, b) {
        var cut = a.split(" ");
        var stringNew = "";
        for (var i in cut) {
            if (cut[i] == b) {
                delete cut[i];
            }
            var aa = + stringNew.concat(cut[i]);
        }
        console.log(aa);
    }

    var v3 = "The quick brown fox jumps over the lazy dog";
    subtask3(v3, 'the');

    function subtask4(a, b) {
        var word = a.split(" ");
        var result = false;
        const last = word[word.length - 1]
        if (last == b) {
            result = true;
        }
        return console.log(`The last of an object is : ${result}`);
    }

    var v4 = 'JS PHP PYTHON';
    var v5 = 'PYTHON';
    subtask4(v4, v5)

    function subtask5(a, b) {
        var firstUpper = a.toUpperCase();
        var secondUpper = b.toUpperCase();
        var result = false;
        if (firstUpper == secondUpper) {
            result = true;
        }
        return console.log(`Kết quả 2 chuổi giống nhau là : ${result}`)
    }

    var v6 = 'ABCD';
    var v7 = 'Abce';
    subtask5(v6, v7)

    function subtask6(a, n) {
        var word = a.split("");
        var result = false;

        for (let i in word) {
            if (n == i) {
                if (word[i] == word[i].toUpperCase()) {
                    result = true;
                }
            }
        }
        return console.log(`ký tự thứ ${n + 1} của chuỗi có phải viết hoa hay không: ${result}`)
    }

    var v8 = 'Js STRING EXERCISES';
    var v9 = 1;
    subtask6(v8, v9)

    function subtask7(a, n) {
        var word = a.split("");
        var result = false;

        for (let i in word) {
            if (n == i) {
                if (word[i] == word[i].toLowerCase()) {
                    result = true;
                }
            }
        }
        return console.log(`ký tự thứ ${n + 1} của chuỗi có phải viết thường hay không : ${result}`)
    }

    subtask7(v8, v9)



    function subtask8(a, b) {
        var word = a.split(" ");
        var result = false;
        const first = word[0]
        if (first == b) {
            result = true;
        }
        return console.log(`The first of an object is : ${result}`);
    }

    v4 = 'js string exercises';
    v5 = 'js';
    subtask8(v4, v5)


    function subtask9(a) {
        var result = false;
        if (a == "") {
            result = true;
        }
        return console.log(`Chuỗi đã cho có phải là chuổi rỗng không? : ${result}`);
    }

    var v10 = 'js string exercises';
    var v11 = '';
    subtask9(v10);
    subtask9(v11);

    function subtask10(a) {
        // Step 1. Use the split() method to return a new array
        var splitString = a.split(""); // var splitString = "hello".split("");
        // ["h", "e", "l", "l", "o"]

        // Step 2. Use the reverse() method to reverse the new created array
        var reverseArray = splitString.reverse(); // var reverseArray = ["h", "e", "l", "l", "o"].reverse();
        // ["o", "l", "l", "e", "h"]

        // Step 3. Use the join() method to join all elements of the array into a string
        var joinArray = reverseArray.join(""); // var joinArray = ["o", "l", "l", "e", "h"].join("");
        // "olleh"

        //Step 4. Return the reversed string
        return console.log(`Array ${a} is reversed: ${joinArray}`); // "olleh"    
    }

    var v12 = 'AaBbc';
    subtask10(v12); 

</script>

</html>